Subject: [Megaco] Subtracting all terminations in all contexts

From: "Sudhir Kumar Appana" <[email-masked]>
Date: Wed, 10 Apr 2002 21:22:13 +0530

Hi,

From the RFC 3015, section 7.2.3 (Subtract), it was given that
"ALL may be used as the ContextID as well as the TerminationId in a
Subtract, which would have the effect of deleting all contexts,
deleting all ephemeral terminations, and returning all physical
terminations to Null context. Subtract of termination from the
NULL context is not allowed."

I have doubt regarding this. Can MGC send the following request packet
to MG:

Transaction = 1 {
   Context = * {     ; ALL Context Id
      Subtract = *   ; ALL Termination Id
      }
}

I want to Subtract the corresponding ADDed Terminations from the
corresponding created Contexts. Is the above packet correct.

Consider for example, two terminations TermA and TermB are ADDed in a
context 22.
To subtract both terminations from that context, Can MGC send following
packet:

Transaction = 1 {
   Context = 22

      Subtract = *   ; ALL Termination Id
      }
}

In the above packet, what could '*' indicates. Whether it indicates all the
terminations
that are present in the context 22 or all the terminations in the whole
Gateway.
From the RFC, it was given that "Subtract of termination from the
NULL context is not allowed".

In the above packet, I have given ALL Termination Id to subtract TermA and
TermB.
Is that OK.

Please reply back.

Thanks & Regards,
Sudhir

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Giri Rajasekhar Saladi <[email-masked]>
Date: Thu, 11 Apr 2002 08:43:17 +0530

Hi Sudhir,
	My answers inline.

> corresponding created Contexts. Is the above packet correct.

The above command shall subtract (delete all the Ephemeral terminations
and return all the Permanant terminations to NULL context) in all the
contexts except NULL context.

>       Subtract = *   ; ALL Termination Id

Yes.

> that are present in the context 22 or all the terminations in the whole

it indicates all the terminations that are present in the context 22.

> In the above packet, I have given ALL Termination Id to subtract TermA and

You have specified all terminations in the context '22'.
That's Ok.

> Sudhir

Regds.,
Giri
-- 

Giri Rajasekhar Saladi
HCL Technologies Ltd.,
51, Jawaharlal Nehru Road 
Guindy Industrial Estate,
Ekkatuthangal,
Chennai - 600 097.

Phone Off : +91 44 233 4174 or +91 44 233 4181 Extn. 233
Fax : +91 44 234 4256
e-mail : [email-masked] <mailto:[email-masked]>

---

From: Giri Rajasekhar Saladi <[email-masked]>
Date: Thu, 11 Apr 2002 08:43:17 +0530

Hi Sudhir,
	My answers inline.

Yes.

Regds.,
Giri
-- 

Giri Rajasekhar Saladi
HCL Technologies Ltd.,